#ifndef CUSTOMTIMER_H
#define CUSTOMTIMER_H

#include <QTimer>
#include <QTimerEvent>
#include "UserInfo.h"
class CustomTimer : public QTimer
{
    Q_OBJECT
public:
    explicit CustomTimer(QObject *parent = 0);

    boost::signal<void()> TimerSignal;

protected:
    virtual void timerEvent ( QTimerEvent * e );

};

#endif // CUSTOMTIMER_H
